New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Wordpress Migration - "no implicit conversion from Hash into String" #23

Closed
RickEyre opened this Issue May 12, 2013 · 1 comment

Comments

Projects
None yet
2 participants
@RickEyre

I've been trying to import my blog from WordPress. I've been getting this error.

sudo jekyll import wordpressdotcom --file "technologicalramblings.wordpress.2013-05-12.xml" --trace
Importing...
/opt/local/lib/ruby2.0/gems/2.0.0/gems/jekyll-import-0.1.0.beta1/lib/jekyll/jekyll-import/wordpressdotcom.rb:15:in `read': no implicit conversion of Hash into String (TypeError)
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/jekyll-import-0.1.0.beta1/lib/jekyll/jekyll-import/wordpressdotcom.rb:15:in `process'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/jekyll-import-0.1.0.beta1/lib/jekyll/commands/import.rb:43:in `process'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/jekyll-1.0.1/bin/jekyll:109:in `block (2 levels) in <top (required)>'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/commander-4.1.3/lib/commander/command.rb:180:in `call'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/commander-4.1.3/lib/commander/command.rb:180:in `call'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/commander-4.1.3/lib/commander/command.rb:155:in `run'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/commander-4.1.3/lib/commander/runner.rb:402:in `run_active_command'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/commander-4.1.3/lib/commander/runner.rb:78:in `run!'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/commander-4.1.3/lib/commander/delegates.rb:7:in `run!'
    from /opt/local/lib/ruby2.0/gems/2.0.0/gems/commander-4.1.3/lib/commander/import.rb:10:in `block in <top (required)>'
@RickEyre

This comment has been minimized.

Show comment
Hide comment
@RickEyre

RickEyre May 13, 2013

That last error was from Mac OS X 10.8.

Just tried on Fedora and am getting same error:

jekyll import wordpressdotcom --file "technologicalramblings.wordpress.2013-05-13.xml" --trace
Importing...
/usr/local/share/gems/gems/jekyll-import-0.1.0.beta1/lib/jekyll/jekyll-import/wordpressdotcom.rb:15:in `read': can't convert Hash into String (TypeError)
from /usr/local/share/gems/gems/jekyll-import-0.1.0.beta1/lib/jekyll/jekyll-import/wordpressdotcom.rb:15:in `process'
from /usr/local/share/gems/gems/jekyll-import-0.1.0.beta1/lib/jekyll/commands/import.rb:43:in `process'
from /usr/local/share/gems/gems/jekyll-1.0.2/bin/jekyll:123:in `block (2 levels) in <top (required)>'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/command.rb:180:in `call'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/command.rb:180:in `call'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/command.rb:155:in `run'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/runner.rb:402:in `run_active_command'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/runner.rb:78:in `run!'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/delegates.rb:11:in `run!'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/import.rb:10:in `block in <top (required)>'

That last error was from Mac OS X 10.8.

Just tried on Fedora and am getting same error:

jekyll import wordpressdotcom --file "technologicalramblings.wordpress.2013-05-13.xml" --trace
Importing...
/usr/local/share/gems/gems/jekyll-import-0.1.0.beta1/lib/jekyll/jekyll-import/wordpressdotcom.rb:15:in `read': can't convert Hash into String (TypeError)
from /usr/local/share/gems/gems/jekyll-import-0.1.0.beta1/lib/jekyll/jekyll-import/wordpressdotcom.rb:15:in `process'
from /usr/local/share/gems/gems/jekyll-import-0.1.0.beta1/lib/jekyll/commands/import.rb:43:in `process'
from /usr/local/share/gems/gems/jekyll-1.0.2/bin/jekyll:123:in `block (2 levels) in <top (required)>'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/command.rb:180:in `call'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/command.rb:180:in `call'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/command.rb:155:in `run'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/runner.rb:402:in `run_active_command'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/runner.rb:78:in `run!'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/delegates.rb:11:in `run!'
from /usr/local/share/gems/gems/commander-4.1.3/lib/commander/import.rb:10:in `block in <top (required)>'

@parkr parkr closed this in 970be65 May 15, 2013

@jekyll jekyll locked and limited conversation to collaborators Feb 27, 2017

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.